Bug 43370 - Fix va_end usage in window.c
Fix va_end usage in window.c
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: newt (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-04 08:56 EDT by Joe Orton
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:38:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for window.c (477 bytes, patch)
2001-06-04 08:56 EDT, Joe Orton
no flags Details | Diff

  None (edit)
Description Joe Orton 2001-06-04 08:56:10 EDT
va_end is used incorrectly in window.c, newt 0.50.22 from Raw Hide

windows.c: In function `newtWinMenu':
windows.c:170: warning: passing arg 1 of `__builtin_va_end' from
incompatible pointer type
windows.c: In function `newtWinEntries':
windows.c:227: warning: passing arg 1 of `__builtin_va_end' from
incompatible pointer type

Patch coming...
Comment 1 Joe Orton 2001-06-04 08:56:55 EDT
Created attachment 20200 [details]
Fix for window.c
Comment 2 Elliot Lee 2001-12-28 14:00:12 EST
Committed to newt CVS - it should eventually find its way into rawhide.

Note You need to log in before you can comment on or make changes to this bug.